<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cokr.xit.fims.crdn.dao.CrdnInfoMapper">

<resultMap id="crdnRow" type="cokr.xit.fims.crdn.Crdn">
	<result property="crdnId"              column="CRDN_ID" />               <!-- 단속 ID -->
    <result property="sggCd"               column="SGG_CD" />                <!-- 시군구 코드 -->
    <result property="taskSeCd"            column="TASK_SE_CD" />            <!-- 업무 구분 코드 -->
    <result property="crdnRegSeCd"         column="CRDN_REG_SE_CD" />        <!-- 단속 등록 구분 코드 -->
    <result property="crdnInptSeCd"        column="CRDN_INPT_SE_CD" />       <!-- 단속 입력 구분 코드 -->
    <result property="linkId"              column="LINK_ID" />               <!-- 연계 ID -->
    <result property="crdnSeCd"            column="CRDN_SE_CD" />            <!-- 단속 구분 코드 -->
    <result property="rtpyrId"             column="RTPYR_ID" />              <!-- 납부자 ID -->
    <result property="crdnYmd"             column="CRDN_YMD" />              <!-- 단속 일자 -->
    <result property="crdnTm"              column="CRDN_TM" />               <!-- 단속 시각 -->
    <result property="vhrno"               column="VHRNO" />                 <!-- 차량번호 -->
    <result property="crdnStdgNm"          column="CRDN_STDG_NM" />          <!-- 단속 법정동 명 -->
    <result property="crdnRoadNm"          column="CRDN_ROAD_NM" />          <!-- 단속 도로 명 -->
    <result property="crdnPlc"             column="CRDN_PLC" />              <!-- 단속 장소 -->
    <result property="dtlCrdnPlc"          column="DTL_CRDN_PLC" />          <!-- 상세 단속 장소 -->
    <result property="teamId"              column="TEAM_ID" />               <!-- 조 ID -->
    <result property="vltnId"              column="VLTN_ID" />               <!-- 위반 ID -->
    <result property="crdnSpareaCd"        column="CRDN_SPAREA_CD" />        <!-- 단속 특별구역 코드 -->
    <result property="crdnBgngTm"          column="CRDN_BGNG_TM" />          <!-- 단속 시작 시각 -->
    <result property="crdnEndTm"           column="CRDN_END_TM" />           <!-- 단속 종료 시간 -->
    <result property="crdnSn"              column="CRDN_SN" />               <!-- 단속 일련번호 -->
    <result property="gpsX"                column="GPS_X" />                 <!-- GPS X -->
    <result property="gpsY"                column="GPS_Y" />                 <!-- GPS Y -->
    <result property="moscX"               column="MOSC_X" />                <!-- 모자이크 X -->
    <result property="moscY"               column="MOSC_Y" />                <!-- 모자이크 Y -->
    <result property="towngYn"             column="TOWNG_YN" />              <!-- 견인 여부 -->
    <result property="atchFileCnt"         column="ATCH_FILE_CNT" />         <!-- 첨부 파일 수 -->
    <result property="vin"                 column="VIN" />                   <!-- 차대번호 -->
    <result property="vhclNm"              column="VHCL_NM" />               <!-- 차량 명 -->
    <result property="vhclColor"           column="VHCL_COLOR" />            <!-- 차량 색상 -->
    <result property="useFuelCd"           column="USE_FUEL_CD" />           <!-- 사용 연료 코드 -->
    <result property="ffnlgCarmdlCd"       column="FFNLG_CARMDL_CD" />       <!-- 과태료 차종 코드 -->
    <result property="parkngPsbltyRsltCd"  column="PARKNG_PSBLTY_RSLT_CD" /> <!-- 주차 가능 결과 코드 -->
    <result property="vltnNmtm"            column="VLTN_NMTM" />             <!-- 위반 횟수 -->
    <result property="ovtimeYn"            column="OVTIME_YN" />             <!-- 시간외 여부 -->
    <result property="ffnlgCrdnAmt"        column="FFNLG_CRDN_AMT" />        <!-- 과태료 단속 금액 -->
    <result property="ffnlgRductRt"        column="FFNLG_RDUCT_RT" />        <!-- 과태료 감경 율 -->
    <result property="ffnlgAmt"            column="FFNLG_AMT" />            <!-- 과태료 금액 -->
    <result property="advntceBgngYmd"      column="ADVNTCE_BGNG_YMD" />      <!-- 사전통지 시작 일자 -->
    <result property="advntceDudtYmd"      column="ADVNTCE_DUDT_YMD" />      <!-- 사전통지 납기 일자 -->
    <result property="advntceAmt"          column="ADVNTCE_AMT" />      <!-- 사전통지 금액 -->
    <result property="opnnSbmsnYn"         column="OPNN_SBMSN_YN" />         <!-- 의견 제출 여부 -->
    <result property="etcCn"               column="ETC_CN" />                <!-- 기타 내용 -->
    <result property="levyId"              column="LEVY_ID" />               <!-- 부과 ID -->
    <result property="crdnSttsCd"          column="CRDN_STTS_CD" />          <!-- 단속 상태 코드 -->
    <result property="crdnSttsChgDt"       column="CRDN_STTS_CHG_DT" />      <!-- 단속 상태 변경 일시 -->
    <result property="adtnAmt"             column="ADTN_AMT" />              <!-- 가산 금액 -->
    <result property="minusAmt"            column="MINUS_AMT" />             <!-- 감경 금액 -->
    <result property="rcvmtAmt"            column="RCVMT_AMT" />             <!-- 수납 금액 -->
    <result property="bfrCrdnId"           column="BFR_CRDN_ID" />           <!-- 이전 단속 ID -->
	<result property="cvlcptLinkId"        column="CVLCPT_LINK_ID" />        <!-- 민원 연계 ID -->
    <result property="dstrbncYn"           column="DSTRBNC_YN" />            <!-- 방해 여부 -->
    <result property="cvlcptRcptYmd"       column="CVLCPT_RCPT_YMD" />       <!-- 민원 접수 일자 -->
    <result property="cvlcptAplySeCd"      column="CVLCPT_APLY_SE_CD" />     <!-- 민원 신청 구분 코드 -->
    <result property="cvlcptAplyNo"        column="CVLCPT_APLY_NO" />        <!-- 민원 신청 번호 -->
    <result property="cvlcptRcptNo"        column="CVLCPT_RCPT_NO" />        <!-- 민원 접수 번호 -->
    <result property="cvlcptListNo"        column="CVLCPT_LIST_NO" />        <!-- 민원 목록 번호 -->
    <result property="cvlcptAplcntNm"      column="CVLCPT_APLCNT_NM" />      <!-- 민원 신청인 명 -->
    <result property="cvlcptAplyDt"        column="CVLCPT_APLY_DT" />        <!-- 민원 신청 일시 -->
    <result property="cvlcptAplyTtlNm"     column="CVLCPT_APLY_TTL_NM" />    <!-- 민원 신청 제목 명 -->
    <result property="cvlcptAplyCn"        column="CVLCPT_APLY_CN" />        <!-- 민원 신청 내용 -->
    <result property="cvlcptGist"          column="CVLCPT_GIST" />           <!-- 민원 요지 -->
    <result property="cvlcptPrcsPicNm"     column="CVLCPT_PRCS_PIC_NM" />    <!-- 민원 처리 담당자 명 -->
    <result property="cvlcptPrcsPrnmntDt"  column="CVLCPT_PRCS_PRNMNT_DT" /> <!-- 민원 처리 예정 일시 -->
    <result property="cvlcptPrcsCd"        column="CVLCPT_PRCS_CD" />        <!-- 민원 처리 코드 -->
    <result property="cvlcptPrcsSumry"     column="CVLCPT_PRCS_SUMRY" />     <!-- 민원 처리 요약 -->
    <result property="cvlcptPrcsRsltCn"    column="CVLCPT_PRCS_RSLT_CN" />   <!-- 민원 처리 결과 내용 -->
    <result property="cvlcptPrcsCmptnDt"   column="CVLCPT_PRCS_CMPTN_DT" />  <!-- 민원 처리 완료 일시 -->
    <result property="cvlcptPrcsPic"       column="CVLCPT_PRCS_PIC" />       <!-- 민원 처리 담당자 -->
    <result property="cvlcptTrsmDt"        column="CVLCPT_TRSM_DT" />        <!-- 민원 전송 일시 -->
    <result property="cvlcptTrsmCd"        column="CVLCPT_TRSM_CD" />        <!-- 민원 전송 코드 -->
    <result property="cvlcptTrsmMsg"       column="CVLCPT_TRSM_MSG" />       <!-- 민원 전송 메시지 -->
    <result property="delYn"               column="DEL_YN" />                <!-- 삭제 여부 -->
    <result property="createdAt"           column="REG_DT" />                <!-- 등록 일시 -->
    <result property="createdBy"           column="RGTR" />                  <!-- 등록자 -->
    <result property="lastModified"        column="MDFCN_DT" />              <!-- 수정 일시 -->
    <result property="modifiedBy"          column="MDFR" />                  <!-- 수정자 -->
    <result property="delDt"               column="DEL_DT" />                <!-- 삭제 일시 -->
    <result property="dltr"                column="DLTR" />                  <!-- 삭제자 -->
    <result property="delRsn"              column="DEL_RSN" />               <!-- 삭제 사유 -->
</resultMap>

    <select id="selectCrdnInfo" parameterType="string">/* 단속정보 조회(crdnInfoMapper.selectCrdnInfo) */
        SELECT C.CRDN_ID                <!-- 단속 ID -->
             , C.SGG_CD                 <!-- 시군구 코드 -->
             , C.TASK_SE_CD             <!-- 업무 구분 코드 -->
             , C.CRDN_REG_SE_CD         <!-- 단속 등록 구분 코드 -->
             , C.CRDN_YMD               <!-- 단속 일자 -->
             , C.CRDN_TM                <!-- 단속 시간 -->
             , C.VHRNO                  <!-- 차량번호 -->
             , C.CRDN_STDG_NM           <!-- 단속 법정동 명 -->
             , C.CRDN_ROAD_NM           <!-- 단속 도로 명 -->
             , C.CRDN_PLC               <!-- 단속 장소 -->
             , C.VLTN_ID                <!-- 위반 ID -->
             , C.VIN VIN                <!-- 차대번호 -->
             , C.VHCL_NM                <!-- 차량 명 -->
             , C.VHCL_COLOR             <!-- 차량 색상 -->
             , C.FFNLG_CRDN_AMT         <!-- 과태료 단속 금액 -->
             , C.ETC_CN                 <!-- 기타 내용 -->
             , C.CRDN_STTS_CD           <!-- 단속 상태 코드 -->
             , C.CRDN_STTS_CHG_DT       <!-- 단속 상태 변경 일시 -->
             , C.LINK_TBL_NM            <!-- 연계 테이블 명 -->
             , C.LINK_ID                <!-- 연계 ID -->
             , (SELECT VLTN_CD FROM TB_VLTN_INFO WHERE VLTN_ID = C.VLTN_ID) AS VLTN_CD
             , CA.CRDN_SE_CD
             , CA.TEAM_ID
             , CA.DTL_CRDN_PLC
             , CA.CRDN_SPAREA_CD        <!-- 단속 특별구역 코드 -->
             , CA.CRDN_BGNG_TM
             , CA.CRDN_END_TM
             , CA.CRDN_SN
             , CA.MOSC_X
             , CA.MOSC_Y
             , CA.TOWNG_YN              <!-- 견인 여부 -->
             , CA.USE_FUEL_CD           <!-- 사용 연료 코드 -->
             , CA.FFNLG_CARMDL_CD       <!-- 과태료 차종 코드 -->
             , CA.PARKNG_PSBLTY_RSLT_CD <!-- 주차 가능 결과 코드 -->
             , CA.VLTN_NMTM             <!-- 위반 횟수 -->
             , CA.OVTIME_YN             <!-- 시간외 여부 -->
             , CA.OVTIME_PRTTN_YN       <!-- 시간외 분할 여부 -->
             , P.RTPYR_ID               <!-- 납부자 ID -->
             , CC.CVLCPT_LINK_ID        <!-- 민원 연계 ID -->
             , CC.CVLCPT_TRSM_CD        <!-- 민원 전송 코드 -->
             , CC.CVLCPT_PRCS_CD        <!-- 민원 처리 코드 -->
             , CC.DSTRBNC_YN            <!-- 방해 여부 -->
             , LE.LEVY_EXCL_SE_CD       <!-- 부과 제외 구분 코드 -->
             , LE.LEVY_EXCL_RSN_CD      <!-- 부과 제외 사유 코드 -->
          FROM TB_CRDN C
         INNER JOIN TB_CRDN_ADI CA ON (C.CRDN_ID = CA.CRDN_ID)
    LEFT OUTER JOIN TB_CRDN_CVLCPT CC ON (C.CVLCPT_LINK_YN = 'Y' AND C.LINK_ID = CC.CVLCPT_LINK_ID)
    LEFT OUTER JOIN TB_PAYER P ON (C.RTPYR_ID = P.RTPYR_ID)
    LEFT OUTER JOIN TB_LEVY_EXCL LE ON (C.CRDN_ID = LE.CRDN_ID AND LE.DEL_YN = 'N')
         WHERE C.DEL_YN  = 'N'
           AND C.CRDN_ID = #{crdnId}
    </select>

</mapper>
